# Get user change requests

Retrieve pending change requests for one user.

## Endpoint

<mark style="color:blue;">`GET`</mark> `https://api.signitic.app/user-change-requests/:email`

## Headers

| Name                                        | Type   | Description  |
| ------------------------------------------- | ------ | ------------ |
| x-api-key<mark style="color:red;">\*</mark> | String | Your API key |

## Path Parameters

| Name                                    | Type   | Description |
| --------------------------------------- | ------ | ----------- |
| email<mark style="color:red;">\*</mark> | String | User email  |

## Success response

### `200 OK`

```json
{
  "success": true,
  "code": 200,
  "data": {
    "email": "john.doe@example.com",
    "display_name": "John Doe",
    "change_requests": [
      {
        "field": "phone",
        "old_value": "0102030405",
        "new_value": "0607080910",
        "status": "pending"
      }
    ]
  }
}
```

## Error responses

| Status | Internal code | When                                              |
| ------ | ------------- | ------------------------------------------------- |
| 400    | `101`         | The email format is invalid.                      |
| 401    | `99`          | The API key is missing or invalid.                |
| 404    | `102`         | The email does not match a user in the workspace. |
